Subject: Re: bug#53843: 27.2; unknown function used in flymake

From: Robert Pluim <[email-masked]>
Date: Mon, 07 Feb 2022 15:25:51 +0100

>>>>> On Mon, 07 Feb 2022 13:54:23 +0100, Nicolas Martyanoff <[email-masked]> said:

    Nicolas> Hi,

    Nicolas> Using eglot with python-mode (with pyright) causes regular errors
    Nicolas> involving flymake caused by calls to an unknown "string-replace"
    Nicolas> function:

`string-replace' was added in emacs-28, so it looks like your flymake
package needs adjusting. (the version shipped with emacs-28 has ;;
Package-Requires: ((emacs "28.1") (eldoc "1.1.0") (project "0.7.1")))

Robert
--